.\"     $NetBSD: et.4,v 1.13 2008/04/30 13:10:55 martin Exp $
.\"
.\" Copyright (c) 1998 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Julian Coleman.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd July 30, 1998
.Dt ET 4 atari
.Os
.Sh NAME
.Nm et
.Nd driver for ET4000 VME graphics cards
.Sh SYNOPSIS
.Cd "et0 at vme0"
.Sh DESCRIPTION
The
.Nm
device driver supports VME graphics cards based on the Tseng ET4000 chipset.
It supports the minimal ioctl's needed to run X11.  The 8Kb control registers
are mapped from offset 0x0 to offset 0x1fff and the 1MB frame buffer is mapped
from offset 0x400000 to offset 0x4fffff.  VGA compatible memory is mapped from
offset 0xa0000 to offset 0xc0000.
.Sh HARDWARE
Cards supported by the
.Nm
driver include:
.Pp
.Bl -item -compact
.It
Crazy Dots II VME graphics card
.El
.Sh NOTES
The clock generator on the Crazy Dots card is an ICS 1394M.  Setting the
clock is done by writing to a register at offset 0x0.  This address cannot
be read.  The values that can be written to the register and the associated
clock are:
.Bl -column "Value " "Clock" -offset indent
.It Em Value Ta Em Clock
.It Li 0x00 Ta
14318
.It Li 0x10 Ta
16257
.It Li 0x17 Ta
20000
.It Li 0x0c Ta
24000
.It Li 0x04 Ta
25175
.It Li 0x14 Ta
28332
.It Li 0x18 Ta
32514
.It Li 0x1a Ta
36000
.It Li 0x1c Ta
40000
.It Li 0x03 Ta
44900
.It Li 0x0f Ta
50000
.It Li 0x13 Ta
50344
.It Li 0x07 Ta
56644
.It Li 0x11 Ta
65028
.It Li 0x1f Ta
80000
.El
.Sh FILES
.Bl -tag -width "xxxxxxxxxx" -compact
.It Pa /dev/etvme
.El
.Sh AUTHORS
.An Julian Coleman
.Sh BUGS
The driver does not support a text mode, so cannot be used as a console.
